org.eclnt.jsfserver.elements.componentnodes

## Class POOLEDBROWSERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.POOLEDBROWSERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class POOLEDBROWSERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POOLEDBROWSERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `POOLEDBROWSERNode` | `bindActionListener(IActionListenerDelegation value)`
    `POOLEDBROWSERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindAllowfullscreen(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindBrowser(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindComment(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindCookies(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindCurrenturl(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindHighlightid(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindOwnnewbrowserinstances(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindPoolid(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindTriggerprint(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindUrl(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindX(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `bindY(IDynamicContentBindingObject value)`
    `POOLEDBROWSERNode` | `setActionListener(java.lang.String value)`
    `POOLEDBROWSERNode` | `setAdapterbinding(java.lang.String value)`
    `POOLEDBROWSERNode` | `setAllowfullscreen(boolean value)`
    `POOLEDBROWSERNode` | `setAllowfullscreen(java.lang.String value)`
    `POOLEDBROWSERNode` | `setAnimatechangeofsize(boolean value)`
    `POOLEDBROWSERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `POOLEDBROWSERNode` | `setAttributemacro(java.lang.String value)`
    `POOLEDBROWSERNode` | `setBrowser(java.lang.String value)`
    `POOLEDBROWSERNode` | `setColspan(int value)`
    `POOLEDBROWSERNode` | `setColspan(java.lang.String value)`
    `POOLEDBROWSERNode` | `setComment(java.lang.String value)`
    `POOLEDBROWSERNode` | `setConfiginfo(java.lang.String value)`
    `POOLEDBROWSERNode` | `setCookies(java.lang.String value)`
    `POOLEDBROWSERNode` | `setCurrenturl(java.lang.String value)`
    `POOLEDBROWSERNode` | `setEnabled(boolean value)`
    `POOLEDBROWSERNode` | `setEnabled(java.lang.String value)`
    `POOLEDBROWSERNode` | `setHeight(int value)`
    `POOLEDBROWSERNode` | `setHeight(java.lang.String value)`
    `POOLEDBROWSERNode` | `setHighlightid(java.lang.String value)`
    `POOLEDBROWSERNode` | `setId(java.lang.String value)`
    `POOLEDBROWSERNode` | `setOwnnewbrowserinstances(boolean value)`
    `POOLEDBROWSERNode` | `setOwnnewbrowserinstances(java.lang.String value)`
    `POOLEDBROWSERNode` | `setPoolid(java.lang.String value)`
    `POOLEDBROWSERNode` | `setReference(java.lang.String value)`
    `POOLEDBROWSERNode` | `setRendered(boolean value)`
    `POOLEDBROWSERNode` | `setRendered(java.lang.String value)`
    `POOLEDBROWSERNode` | `setRowalignmenty(java.lang.String value)`
    `POOLEDBROWSERNode` | `setShadow(java.lang.String value)`
    `POOLEDBROWSERNode` | `setStylevariant(java.lang.String value)`
    `POOLEDBROWSERNode` | `setTriggerprint(java.lang.String value)`
    `POOLEDBROWSERNode` | `setUrl(java.lang.String value)`
    `POOLEDBROWSERNode` | `setWidth(int value)`
    `POOLEDBROWSERNode` | `setWidth(java.lang.String value)`
    `POOLEDBROWSERNode` | `setX(int value)`
    `POOLEDBROWSERNode` | `setX(java.lang.String value)`
    `POOLEDBROWSERNode` | `setY(int value)`
    `POOLEDBROWSERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### POOLEDBROWSERNode

          public POOLEDBROWSERNode()

  - ### Method Detail

    - #### setId

          public POOLEDBROWSERNode setId(java.lang.String value)

    - #### setActionListener

          public POOLEDBROWSERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public POOLEDBROWSERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public POOLEDBROWSERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public POOLEDBROWSERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAllowfullscreen

          public POOLEDBROWSERNode setAllowfullscreen(java.lang.String value)

    - #### bindAllowfullscreen

          public POOLEDBROWSERNode bindAllowfullscreen(IDynamicContentBindingObject value)

    - #### setAllowfullscreen

          public POOLEDBROWSERNode setAllowfullscreen(boolean value)

    - #### setAnimatechangeofsize

          public POOLEDBROWSERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public POOLEDBROWSERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public POOLEDBROWSERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public POOLEDBROWSERNode setAttributemacro(java.lang.String value)

    - #### setBrowser

          public POOLEDBROWSERNode setBrowser(java.lang.String value)

    - #### bindBrowser

          public POOLEDBROWSERNode bindBrowser(IDynamicContentBindingObject value)

    - #### setColspan

          public POOLEDBROWSERNode setColspan(java.lang.String value)

    - #### bindColspan

          public POOLEDBROWSERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public POOLEDBROWSERNode setColspan(int value)

    - #### setComment

          public POOLEDBROWSERNode setComment(java.lang.String value)

    - #### bindComment

          public POOLEDBROWSERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public POOLEDBROWSERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public POOLEDBROWSERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCookies

          public POOLEDBROWSERNode setCookies(java.lang.String value)

    - #### bindCookies

          public POOLEDBROWSERNode bindCookies(IDynamicContentBindingObject value)

    - #### setCurrenturl

          public POOLEDBROWSERNode setCurrenturl(java.lang.String value)

    - #### bindCurrenturl

          public POOLEDBROWSERNode bindCurrenturl(IDynamicContentBindingObject value)

    - #### setEnabled

          public POOLEDBROWSERNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public POOLEDBROWSERNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public POOLEDBROWSERNode setEnabled(boolean value)

    - #### setHeight

          public POOLEDBROWSERNode setHeight(java.lang.String value)

    - #### bindHeight

          public POOLEDBROWSERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public POOLEDBROWSERNode setHeight(int value)

    - #### setHighlightid

          public POOLEDBROWSERNode setHighlightid(java.lang.String value)

    - #### bindHighlightid

          public POOLEDBROWSERNode bindHighlightid(IDynamicContentBindingObject value)

    - #### setOwnnewbrowserinstances

          public POOLEDBROWSERNode setOwnnewbrowserinstances(java.lang.String value)

    - #### bindOwnnewbrowserinstances

          public POOLEDBROWSERNode bindOwnnewbrowserinstances(IDynamicContentBindingObject value)

    - #### setOwnnewbrowserinstances

          public POOLEDBROWSERNode setOwnnewbrowserinstances(boolean value)

    - #### setPoolid

          public POOLEDBROWSERNode setPoolid(java.lang.String value)

    - #### bindPoolid

          public POOLEDBROWSERNode bindPoolid(IDynamicContentBindingObject value)

    - #### setReference

          public POOLEDBROWSERNode setReference(java.lang.String value)

    - #### setRendered

          public POOLEDBROWSERNode setRendered(java.lang.String value)

    - #### bindRendered

          public POOLEDBROWSERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public POOLEDBROWSERNode setRendered(boolean value)

    - #### setRowalignmenty

          public POOLEDBROWSERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public POOLEDBROWSERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public POOLEDBROWSERNode setShadow(java.lang.String value)

    - #### bindShadow

          public POOLEDBROWSERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public POOLEDBROWSERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public POOLEDBROWSERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerprint

          public POOLEDBROWSERNode setTriggerprint(java.lang.String value)

    - #### bindTriggerprint

          public POOLEDBROWSERNode bindTriggerprint(IDynamicContentBindingObject value)

    - #### setUrl

          public POOLEDBROWSERNode setUrl(java.lang.String value)

    - #### bindUrl

          public POOLEDBROWSERNode bindUrl(IDynamicContentBindingObject value)

    - #### setWidth

          public POOLEDBROWSERNode setWidth(java.lang.String value)

    - #### bindWidth

          public POOLEDBROWSERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public POOLEDBROWSERNode setWidth(int value)

    - #### setX

          public POOLEDBROWSERNode setX(java.lang.String value)

    - #### bindX

          public POOLEDBROWSERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public POOLEDBROWSERNode setX(int value)

    - #### setY

          public POOLEDBROWSERNode setY(java.lang.String value)

    - #### bindY

          public POOLEDBROWSERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public POOLEDBROWSERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.